Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 722)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 723)
@@ -112,6 +112,7 @@
 import org.txm.concordance.rcp.widgets.ComplexSortSelector;
 import org.txm.cooccurrence.rcp.messages.CooccurrenceUIMessages;
 import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMResult;
 import org.txm.internalview.core.functions.InternalView;
 import org.txm.internalview.rcp.editors.InternalViewEditor;
@@ -124,6 +125,8 @@
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.editors.listeners.ComputeKeyListener;
+import org.txm.rcp.editors.listeners.ComputeSelectionListener;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.GLComposite;
@@ -137,11 +140,9 @@
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.CQPEngine;
 import org.txm.searchengine.cqp.ReferencePattern;
-import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
-import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.utils.logger.Log;
 
 /**
@@ -155,6 +156,10 @@
 
 	String locale = TXMPreferences.getString(RCPPreferences.UI_LOCALE, RCPPreferences.PREFERENCES_NODE);
 
+	
+	private static final String BACKTOTEXT_COMMAND_ID = "org.txm.rcp.extensionpoint.backtotext"; //$NON-NLS-1$
+
+	
 	/** The lineids. */
 	List<String> lineids;
 
@@ -198,11 +203,8 @@
 	/** The mouseposition. */
 	private Point mouseposition;
 
-	/** The query widget. */
-	private AssistedQueryWidget queryWidget;
-
 	/** The line table viewer. */
-	private TableViewer viewer, viewer2;
+	protected TableViewer viewer, viewer2;
 
 	/** The reference column. */
 	private TableColumn referenceColumn;
@@ -259,8 +261,6 @@
 	/** The navigation area. */
 	private NavigationWidget navigationWidget;
 
-	/** The is setup shown. */
-	private boolean isSetupShown = true;
 
 	/** The hide btn: hides the form
 	 * TODO: remove the button when the TXMEditorToolbar is fully functionnal. */
@@ -269,39 +269,23 @@
 	/** The query size. */
 	protected Point querySize;
 
-	/** The parent. */
-	private Composite parent;
 
-	private ArrayList<Property> availableLeftSortProperties;
-
-	private ArrayList<Property> availableRightSortProperties;
-
 	private Sash sash;
 
 	HashSet<ConcordanceEditorExtension> extensions = new HashSet<ConcordanceEditorExtension>();
 
 	private Listener tableResizeListener;
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#doSave(org.eclipse.core.runtime.IProgressMonitor)
-	 */
-	@Override
-	public void doSave(IProgressMonitor monitor) { }
+	
+	
+	
+	/** The query widget. */
+	@Parameter(key=ConcordancePreferences.QUERY)
+	protected AssistedQueryWidget queryWidget;
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#doSaveAs()
-	 */
-	@Override
-	public void doSaveAs() { }
+	
+	
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#isSaveAsAllowed()
-	 */
-	@Override
-	public boolean isSaveAsAllowed() {
-		return false;
-	}
-
 	/**
 	 * Sets the standard comparators.
 	 */
@@ -310,20 +294,25 @@
 			standardComparators.add(standardComparatorClassName[i]);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#init(org.eclipse.ui.IEditorSite, org.eclipse.ui.IEditorInput)
-	 */
 	@Override
-	public void init(IEditorSite site, IEditorInput input)
-			throws PartInitException {
-		setSite(site);
-		setInput(input);
+	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
+		super.init(site, input);
+		
+		TXMResult result = this.getResult();
+		
+		if (!(result instanceof Concordance)) {
+			throw new PartInitException("Can not open ConcordanceEditor with " + result + ".");
+		}
+		this.concordance = (Concordance)result;
 
-		initializeEditor();
+		this.standardComparators = new ArrayList<LineComparator>();
+		this.userDefinedComparators = new ArrayList<LineComparator>();
+		this.setStandardComparators();
+		concordance.setNLinePerPage(TXMPreferences.getInt(ConcordancePreferences.N_LINES_PER_PAGE, ConcordancePreferences.PREFERENCES_NODE));
 
+
 		// fetch extensions
-		IConfigurationElement[] config = Platform.getExtensionRegistry()
-				.getConfigurationElementsFor(ConcordanceEditorExtension.EXTENSION_ID);
+		IConfigurationElement[] config = Platform.getExtensionRegistry().getConfigurationElementsFor(ConcordanceEditorExtension.EXTENSION_ID);
 		Log.warning("Installing ConcordanceEditorExtension...");
 		Log.warning(Arrays.toString(config));
 
@@ -355,30 +344,9 @@
 		}
 	}
 
-	private void initializeEditor() throws PartInitException {
 
-		TXMResultEditorInput<Concordance> input = getEditorInput();
-		TXMResult result = input.getResult();
-		if (!(result instanceof Concordance)) {
-			throw new PartInitException("Cannot open ConcordanceEditor with "+result);
-		}
-		this.concordance = (Concordance)result;
-
-		this.standardComparators = new ArrayList<LineComparator>();
-		this.userDefinedComparators = new ArrayList<LineComparator>();
-		new ArrayList<LineComparator>();
-		setStandardComparators();
-		concordance.setNLinePerPage(TXMPreferences.getInt(ConcordancePreferences.N_LINES_PER_PAGE, ConcordancePreferences.PREFERENCES_NODE));
-
-		setPartName(concordance.getName());
-	}
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
-	 */
 	@Override
 	public void _createPartControl(Composite parent) {
-//		super.createPartControl(parent); // create the top toolbar, display area and bottom toolbar
 
 		Composite controlArea = getCommandParametersGroup();
 
@@ -390,8 +358,6 @@
 			if (complexsorter != null) {
 				complexsorter.setComparators(this);
 			}
-
-			fillDisplayArea();
 		} catch(Exception e) {
 			System.out.println("Error while building interface: "+e.getLocalizedMessage());
 			Log.printStackTrace(e);
@@ -956,22 +922,8 @@
 		// queryWidget = new QueryWidget(queryArea, SWT.DROP_DOWN);
 		queryWidget = new AssistedQueryWidget(queryArea, SWT.DROP_DOWN, concordance.getCorpus());
 		queryWidget.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false, 1, 1));
-		queryWidget.addKeyListener(new KeyListener() {
-			@Override
-			public void keyPressed(KeyEvent e) {
-				// System.out.println("key pressed : "+e.keyCode);
-				if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
-					//updateResultFromEditor();
-					concordance.setQuery(queryWidget.getQuery());
-					compute(true);
-				}
-			}
+		queryWidget.addKeyListener(new ComputeKeyListener(this));
 
-			@Override
-			public void keyReleased(KeyEvent e) {
-			}
-		});
-
 		// | Properties: word/pos [Edit] |
 		propsArea = new PropertiesSelector<Property>(queryArea, SWT.NONE);
 		propsArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
@@ -1005,18 +957,8 @@
 		go.setFont(newf);
 
 		go.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-		go.addSelectionListener(new SelectionListener() {
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				updateResultFromEditor();
-				compute(true);
-			}
+		go.addSelectionListener(new ComputeSelectionListener(this));
 
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-		});
-
 		// Complex sort chooser (full line)
 		complexsorter = new ComplexSortSelector(queryArea, SWT.NONE);
 		complexsorter.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
@@ -1828,7 +1770,6 @@
 	}
 
 
-	private static final String BACKTOTEXT_COMMAND_ID = "org.txm.rcp.extensionpoint.backtotext"; //$NON-NLS-1$
 	/**
 	 * Open the edition for the selected line.
 	 * The command used to show the edition is an EditionBackToText Extension
@@ -1957,11 +1898,14 @@
 	 */
 	public static class ConcordanceColumnSizeControlListener implements ControlListener {
 		private TableColumn column;
+		
 		public ConcordanceColumnSizeControlListener(TableColumn column) {
 			this.column = column;
 		}
+		
 		@Override
 		public void controlMoved(ControlEvent e) { }
+		
 		@Override
 		public void controlResized(ControlEvent e) {
 			if (column != null && !column.isDisposed() &&column.getWidth() < 5) {
@@ -1976,12 +1920,6 @@
 
 	@Override
 	public void updateResultFromEditor() {
-		Display.getDefault().syncExec(new Runnable() {
-			@Override
-			public void run() {
-				Query query = new Query(queryWidget.getQueryString());
-				concordance.setQuery(query);
-			}
-		});
+		// TODO
 	}
 }
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 722)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 723)
@@ -40,9 +40,9 @@
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.concordance.rcp.messages.ConcordanceUIMessages;
 import org.txm.core.results.TXMParameters;
-import org.txm.core.results.TXMResult;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
+import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.views.corpora.CorporaView;
@@ -98,43 +98,23 @@
 		}
 		
 		Concordance concordance = null;
+
+		// Creating from Corpus
 		if (o instanceof Corpus) {
 			Corpus corpus = (Corpus) o;
 			concordance = new Concordance(corpus);
-		} else if (o instanceof Concordance) {
+		}
+		// Reopening existing result
+		else if (o instanceof Concordance) {
 			concordance = (Concordance)o;
-//		} else if (o instanceof TXMResult) { // called from CorporaView
-//			TXMResult result = (TXMResult)o;
-//			TXMParameters parameters = result.getTXMParameters();
-//			Object p = parameters.get("corpus");
-//			if (p == null) {
-//				System.out.println("Error: no 'corpus' parameter provided");
-//				return false;
-//			}
-//			if (!(p instanceof Corpus)) {
-//				System.out.println("Error: 'corpus' parameter is not a Corpus");
-//				return false;
-//			}
-//			Corpus corpus = (Corpus) p;
-//			concordance = new Concordance(corpus);
-//			concordance.setParameters(parameters);
-		} else {
+		}
+		else {
 			System.out.println("Could not call ComputeConcordance with: "+o);
 			return null;
 		}
 		
-		TXMResultEditorInput editorInput = new TXMResultEditorInput(concordance);
-
-		try {
-			StatusLine.setMessage(ConcordanceUIMessages.ComputeConcordance_0);
-			IEditorPart editor = TXMWindows.getActiveWindow().getActivePage().openEditor(editorInput, ConcordanceEditor.class.getName()); //$NON-NLS-1$
-				if (editor == null) return null;
-				
-			return editor;
-		} catch (PartInitException e) {
-			System.err.println(NLS.bind(ConcordanceUIMessages.GetConcordances_4, e));
-			e.printStackTrace();
-		}
+		StatusLine.setMessage(ConcordanceUIMessages.ComputeConcordance_0);
+		TXMEditor.openEditor(concordance, ConcordanceEditor.class.getName());
 		return null;
 	}
 }
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 722)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 723)
@@ -63,6 +63,7 @@
 import org.eclipse.ui.IPropertyListener;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.part.EditorPart;
+import org.txm.ca.core.chartsengine.base.CAChartCreator;
 import org.txm.ca.core.chartsengine.base.Utils;
 import org.txm.ca.core.functions.CA;
 import org.txm.ca.core.functions.Eigenvalues;
@@ -275,8 +276,8 @@
 					selectedLabels[i] = selection[i].getText();
 				}
 
-				CAFactorialMapChartEditor caFactorialMapEditorPart = (CAFactorialMapChartEditor) editors.get(0);
-				Utils.getChartCreator(caFactorialMapEditorPart.getChartsEngine()).updateChartCAFactorialMapHighlightPoints(caFactorialMapEditorPart.getChart(), (e.getSource() == getRowsInfosEditor().getViewer()), selectedLabels);
+				CAFactorialMapChartEditor chartEditor = (CAFactorialMapChartEditor) editors.get(0);
+				((CAChartCreator) chartEditor.getResult().getChartCreator()).updateChartCAFactorialMapHighlightPoints(chartEditor.getChart(), (e.getSource() == getRowsInfosEditor().getViewer()), selectedLabels);
 			}
 		};
 
@@ -291,9 +292,8 @@
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				// Change chart items selection order
-				CAFactorialMapChartEditor caFactorialMapEditorPart = (CAFactorialMapChartEditor) editors.get(0); 
-				Utils.getChartCreator(caFactorialMapEditorPart.getChartsEngine()).
-				updateChartCAFactorialMapSetLabelItemsSelectionOrder(caFactorialMapEditorPart.getChart(), getRowsInfosEditor().getOrdererLabels(), getColsInfosEditor().getOrdererLabels());
+				CAFactorialMapChartEditor chartEditor = (CAFactorialMapChartEditor) editors.get(0); 
+				((CAChartCreator) chartEditor.getResult().getChartCreator()).updateChartCAFactorialMapSetLabelItemsSelectionOrder(chartEditor.getChart(), getRowsInfosEditor().getOrdererLabels(), getColsInfosEditor().getOrdererLabels());
 			}
 
 			@Override
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/chartsengine/events/CAPointSelectionCallBack.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/chartsengine/events/CAPointSelectionCallBack.java	(revision 722)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/chartsengine/events/CAPointSelectionCallBack.java	(revision 723)
@@ -5,7 +5,7 @@
 import java.util.ArrayList;
 
 import org.eclipse.jface.viewers.TableViewer;
-import org.txm.ca.core.chartsengine.base.Utils;
+import org.txm.ca.core.chartsengine.base.CAChartCreator;
 import org.txm.ca.rcp.editors.CAEditor;
 import org.txm.chartsengine.rcp.events.EventCallBack;
 
@@ -30,8 +30,8 @@
 			chartEditor.getComposite().getDisplay().asyncExec(new Runnable () {
 				public void run() {
 	
-					ArrayList<String> rowLabels = Utils.getChartCreator(chartEditor.getChartsEngine()).getCAFactorialMapChartSelectedPoints(chartEditor.getChart(), 0);
-					ArrayList<String> columnLabels = Utils.getChartCreator(chartEditor.getChartsEngine()).getCAFactorialMapChartSelectedPoints(chartEditor.getChart(), 1);
+					ArrayList<String> rowLabels = ((CAChartCreator) chartEditor.getResult().getChartCreator()).getCAFactorialMapChartSelectedPoints(chartEditor.getChart(), 0);
+					ArrayList<String> columnLabels = ((CAChartCreator) chartEditor.getResult().getChartCreator()).getCAFactorialMapChartSelectedPoints(chartEditor.getChart(), 1);
 	
 			        // Update the selected lines in the row and column information tables
 					for(int i = 0; i < rowsInfoViewer.getTable().getItemCount(); i++) {
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/preferences/CAPreferencePage.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/preferences/CAPreferencePage.java	(revision 722)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/preferences/CAPreferencePage.java	(revision 723)
@@ -39,7 +39,7 @@
 import org.txm.ca.rcp.adapters.CAAdapterFactory;
 import org.txm.ca.rcp.messages.CAUIMessages;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
-import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 
@@ -69,8 +69,8 @@
 		gridData.verticalIndent = 10;
 		ltGroup.setLayoutData(gridData);
 
-		this.addField(new IntegerFieldEditor(CAPreferences.F_MIN, LexicalTableUIMessages.LexicalTablePreferencePage_1, ltGroup));
-		this.addField(new IntegerFieldEditor(CAPreferences.V_MAX, LexicalTableUIMessages.LexicalTableEditor_8, ltGroup));
+		this.addField(new IntegerFieldEditor(CAPreferences.F_MIN, TXMCoreMessages.common_lowestFrequency, ltGroup));
+		this.addField(new IntegerFieldEditor(CAPreferences.V_MAX, TXMCoreMessages.common_numberOfLines, ltGroup));
 		this.addField(new StringFieldEditor(CAPreferences.QUALITY_DISPLAY_FORMAT, CAUIMessages.PreferencePage_0, this.getFieldEditorParent()));
 		this.addField(new StringFieldEditor(CAPreferences.CONTRIB_DISPLAY_FORMAT, CAUIMessages.PreferencePage_1, this.getFieldEditorParent()));
 		this.addField(new StringFieldEditor(CAPreferences.MASS_DISPLAY_FORMAT, CAUIMessages.PreferencePage_5, this.getFieldEditorParent()));
@@ -159,28 +159,12 @@
 
 	
 	
-	
-	
-	
-	/*
-	 * (non-Javadoc)
-	 *
-	 * @see
-	 * org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
-	 */
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(CAPreferences.PREFERENCES_NODE));
 		//this.setDescription(Messages.CorrespondanceAnalysisEditorInput_10);
 		//this.setTitle(CAUIMessages.CorrespondanceAnalysisEditorInput_10);
 		this.setImageDescriptor(CAAdapterFactory.ICON);
-
-		// FIXME: useless?
-//		if (TxmPreferences.getInt(FMIN, -1) <= 0)
-//			TxmPreferences.set(FMIN, 10);
-//		if (TxmPreferences.getInt(VMAX, -1) <= 0)
-//			TxmPreferences.set(VMAX,200);
-
 	}
 
 	
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 722)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 723)
@@ -93,7 +93,7 @@
 		new Label(parametersArea, SWT.NONE).setText("Maximum score");
 
 		this.maxScore = new Spinner(parametersArea, SWT.BORDER);
-		this.maxScore.setToolTipText("The maximum score to show");
+		this.maxScore.setToolTipText("The maximum score to display");
 		this.maxScore.setMinimum(0);
 		
 		// result area
@@ -145,7 +145,7 @@
 			// create 2nd column
 			TableColumn typeFrequencyColumn = new TableColumn(viewer.getTable(), SWT.NONE);
 			typeFrequencyColumn.setText(TXMUIMessages.FrequencyListEditorInput_4 + " " + SpecificitiesUIMessages.SpecificitiesTableEditor_11 + " " + this.getResult().getCorpusSize()); //$NON-NLS-1$ //$NON-NLS-2$
-			typeFrequencyColumn.setToolTipText(TXMUIMessages.FrequencyListEditorInput_4 + SpecificitiesUIMessages.SpecificitiesTableEditor_11 + this.getResult().getCorpusSize()); 
+			typeFrequencyColumn.setToolTipText(TXMUIMessages.FrequencyListEditorInput_4 + " " + SpecificitiesUIMessages.SpecificitiesTableEditor_11 + " " + this.getResult().getCorpusSize()); 
 			typeFrequencyColumn.setAlignment(SWT.RIGHT);
 			typeFrequencyColumn.pack();
 			
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java	(revision 722)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/jfreechart/JFCSpecificitiesBarChartCreator.java	(revision 723)
@@ -53,9 +53,6 @@
 	        		true, false, true, true, true, false, false);
         }
 
-        ((IRendererWithItemSelection) chart.getXYPlot().getRenderer()).setChartType(ChartsEngine.CHART_TYPE_SPECIFICITIES);
-
-
 		return chart;
 		
 	}
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/Utils.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/Utils.java	(revision 722)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/Utils.java	(revision 723)
@@ -26,13 +26,5 @@
 		return ChartsEngineCoreMessages.bind(CACoreMessages.charts_factorialMap_title, ca.getParent().getName());
 	}
 
-	/**
-	 * Convenience method to get a CA chart creator from the specified charts engine.
-	 * @param chartsEngine charts engine to look in for a chart creator
-	 * @return a CA chart creator
-	 */
-	public static CAChartCreator getChartCreator(ChartsEngine chartsEngine)	{
-		return (CAChartCreator) chartsEngine.getChartCreator(CA.class);
-	}
 	
 }
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CASingularValuesItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CASingularValuesItemSelectionRenderer.java	(revision 722)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CASingularValuesItemSelectionRenderer.java	(revision 723)
@@ -36,8 +36,6 @@
 	public CASingularValuesItemSelectionRenderer(CA ca) {
 		super();
 		this.mouseOverItemSelector.setResult(ca);
-		this.setChartType(ChartsEngine.CHART_TYPE_CA_SINGULAR_VALUES);
-
 		this.percentValuesNumberFormat = new DecimalFormat("#.00");
 	}
 
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 722)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CAItemSelectionRenderer.java	(revision 723)
@@ -21,7 +21,6 @@
 import org.txm.ca.core.chartsengine.jfreechart.datasets.CAXYDataset;
 import org.txm.ca.core.functions.CA;
 import org.txm.ca.core.messages.CACoreMessages;
-import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
@@ -44,7 +43,6 @@
 	public CAItemSelectionRenderer(CA ca, JFreeChart chart) {
 		super(ca, chart);
 		this.multipleItemsSelector.setResult(ca);
-		this.setChartType(ChartsEngine.CHART_TYPE_CA_FACTORIAL_MAP);
 	}
 
 
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java	(revision 722)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableDialog.java	(revision 723)
@@ -188,7 +188,7 @@
 		maxlinesSpinner.setSelection(vmax);
 		
 		fminLabel = new Label(composite, SWT.NONE);
-		fminLabel.setText(TXMCoreMessages.FMIN_1);
+		fminLabel.setText(TXMCoreMessages.common_fMin);
 		fminLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
 		fminSpinner = new Spinner(composite, SWT.BORDER);
 		fminSpinner.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java	(revision 0)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java	(revision 723)
@@ -0,0 +1,226 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.lexicaltable.rcp.editors;
+
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.jface.action.MenuManager;
+import org.eclipse.jface.viewers.TableViewer;
+import org.eclipse.jface.viewers.TableViewerColumn;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.events.SelectionAdapter;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.layout.FillLayout;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Menu;
+import org.eclipse.swt.widgets.Table;
+import org.eclipse.ui.IEditorInput;
+import org.eclipse.ui.IEditorSite;
+import org.eclipse.ui.PartInitException;
+import org.eclipse.ui.part.EditorPart;
+import org.txm.rcp.editors.ITablableEditorInput;
+import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.editors.TableSorter;
+import org.txm.rcp.messages.TXMUIMessages;
+// TODO: Auto-generated Javadoc
+/**
+ * Generic editor of tableable objects.
+ *
+ * @author sloiseau
+ */
+public class ___TableEditor extends EditorPart {
+
+	/** The ID. */
+	static public String ID = "org.txm.rcp.editors.TableEditor"; //$NON-NLS-1$
+	
+	/** The viewer. */
+	private TableViewer viewer;
+	
+	/** The i editor input. */
+	private IEditorInput iEditorInput;
+
+	/** The table sorter. */
+	private TableSorter tableSorter;
+
+	/**
+	 * Linking with the OutlineView.
+	 *
+	 * @param monitor the monitor
+	 */
+	// private OverviewOutlinePage overviewOutlinePage;
+
+	@Override
+	public void doSave(IProgressMonitor monitor) {
+		// TODO Auto-generated method stub
+
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.EditorPart#doSaveAs()
+	 */
+	@Override
+	public void doSaveAs() {
+		// TODO Auto-generated method stub
+
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.EditorPart#init(org.eclipse.ui.IEditorSite, org.eclipse.ui.IEditorInput)
+	 */
+	@Override
+	public void init(IEditorSite site, IEditorInput input)
+			throws PartInitException {
+		setSite(site);
+		setInput(input);
+		this.iEditorInput = input;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.EditorPart#isDirty()
+	 */
+	@Override
+	public boolean isDirty() {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.EditorPart#isSaveAsAllowed()
+	 */
+	@Override
+	public boolean isSaveAsAllowed() {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
+	 */
+	@Override
+	public void createPartControl(Composite parent) {
+		parent.setLayout(new FillLayout());
+
+		viewer = new TableViewer(parent, SWT.H_SCROLL | SWT.V_SCROLL
+				| SWT.MULTI | SWT.FULL_SELECTION | SWT.VIRTUAL);
+		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
+		Table table = viewer.getTable();
+		table.setHeaderVisible(true);
+		table.setLinesVisible(true);
+
+		if (!(iEditorInput instanceof ITablableEditorInput)) {
+			throw new IllegalArgumentException(TXMUIMessages.TableEditor_0);
+		}
+
+		ITablableEditorInput tableInput = (ITablableEditorInput) iEditorInput;
+
+		String[] titles = tableInput.getColumnTitles();
+
+		for (int i = 0; i < titles.length; i++) {
+			final int index = i;
+			final TableViewerColumn column = new TableViewerColumn(viewer,
+					SWT.NONE);
+
+			column.getColumn().setText(titles[i]);
+			column.getColumn().setWidth(100);
+			column.getColumn().setResizable(true);
+			column.getColumn().setMoveable(true);
+
+			column.getColumn().addSelectionListener(new SelectionAdapter() {
+				@Override
+				public void widgetSelected(SelectionEvent e) {
+					tableSorter.setColumn(index);
+					int dir = viewer.getTable().getSortDirection();
+					if (viewer.getTable().getSortColumn() == column.getColumn()) {
+						dir = dir == SWT.UP ? SWT.DOWN : SWT.UP;
+					} else {
+						dir = SWT.DOWN;
+					}
+					viewer.getTable().setSortDirection(dir);
+					viewer.getTable().setSortColumn(column.getColumn());
+					viewer.refresh();
+				}
+			});
+		}
+
+		viewer.setContentProvider(tableInput.getContentProvider());
+		viewer.setLabelProvider(tableInput.getLabelProvider());
+		viewer.setInput(tableInput.getInput());
+
+		tableSorter = new TableSorter();
+		tableSorter.setColumnTypes(tableInput.getColumnTypes());
+		if (this.iEditorInput instanceof ___LexicalTableEditorInput) {
+			___LexicalTableEditorInput ed = (___LexicalTableEditorInput) this.iEditorInput;
+			tableSorter.setLocale(ed.getResult().getPartition().getCorpus().getLocale());
+		}
+		viewer.setSorter(tableSorter);
+
+		createContextMenu(viewer);
+	}
+
+	/**
+	 * Creates the context menu.
+	 *
+	 * @param tableViewer the table viewer
+	 */
+	private void createContextMenu(TableViewer tableViewer) {
+
+		MenuManager menuManager = new MenuManager();
+		Menu menu = menuManager.createContextMenu(tableViewer.getTable());
+
+		// Set the MenuManager
+		tableViewer.getTable().setMenu(menu);
+		getSite().registerContextMenu(menuManager, tableViewer);
+		// Make the selection available
+		getSite().setSelectionProvider(tableViewer);
+	}
+
+	/**
+	 * Gets the table sorter.
+	 *
+	 * @return the table sorter
+	 */
+	public TableSorter getTableSorter() {
+		return tableSorter;
+	}
+
+	/**
+	 * Gets the table viewer.
+	 *
+	 * @return the table viewer
+	 */
+	public TableViewer getTableViewer() {
+		return viewer;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.WorkbenchPart#setFocus()
+	 */
+	@Override
+	public void setFocus() {
+		viewer.getControl().setFocus();
+	}
+}

Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java	(revision 722)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java	(revision 723)
@@ -70,7 +70,7 @@
 		super(table);
 		
 		editors = new ArrayList<EditorPart>();
-		editors.add(new TableEditor());
+		editors.add(new ___TableEditor());
 
 		inputs = new ArrayList<IEditorInput>();
 
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java	(revision 722)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java	(revision 723)
@@ -81,7 +81,7 @@
 			Shell shell = d.getActiveShell();
 			MessageBox messageBox = new MessageBox(shell, SWT.ICON_QUESTION
 					| SWT.YES | SWT.NO);
-			messageBox.setMessage(TXMUIMessages.DeleteLines_1);
+			messageBox.setMessage(TXMUIMessages.common_areYouSure);
 			int response = messageBox.open();
 			if (response != SWT.YES)
 				return;
